cupsd crashed with SIGABRT in __assert_fail_base()

Bug #1036974 reported by Jason Warner on 2012-08-15
58
This bug affects 13 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
High
Till Kamppeter

Bug Description

random crash

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: cups 1.6.1-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-9.9-generic 3.5.0
Uname: Linux 3.5.0-9-generic x86_64
ApportVersion: 2.4-0ubuntu6
Architecture: amd64
CrashCounter: 1
CupsErrorLog:

Date: Wed Aug 15 09:36:55 2012
ExecutablePath: /usr/sbin/cupsd
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110919)
Lpstat:
 p11-kit: duplicate configured module: gnome-keyring.module: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so
 device for psc-2400-series: dnssd://hp2410%20%40%20idub._ipp._tcp.local/cups
MachineType: LENOVO 4286CTO
Papersize: a4
ProcAttrCurrent: /usr/sbin/cupsd (enforce)
ProcCmdline: /usr/sbin/cupsd -F
ProcEnviron:
 PATH=(custom, no user)
 TERM=linux
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-9-generic root=UUID=705894e9-4493-41b0-8b0a-26944457902d ro quiet splash vt.handoff=7
Signal: 6
SourcePackage: cups
StacktraceTop:
 raise () from /lib/x86_64-linux-gnu/libc.so.6
 abort () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 __assert_fail () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /usr/lib/x86_64-linux-gnu/libavahi-client.so.3
Title: cupsd crashed with SIGABRT in raise()
UpgradeStatus: Upgraded to quantal on 2012-07-23 (22 days ago)
UserGroups:

dmi.bios.date: 12/01/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET56WW (1.26 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4286CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET56WW(1.26):bd12/01/2011:svnLENOVO:pn4286CTO:pvrThinkPadX220:rvnLENOVO:rn4286CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4286CTO
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO
mtime.conffile..etc.cups.cupsd.conf: 2012-08-09T17:12:59.866966

Jason Warner (jasoncwarner) wrote :
visibility: private → public

StacktraceTop:
 __assert_fail_base (fmt=<optimized out>, assertion=0x7fda99ec5b63 "d->ref >= 1", file=0x7fda99ec5ad8 "../avahi-common/dbus-watch-glue.c", line=<optimized out>, function=<optimized out>) at assert.c:94
 __GI___assert_fail (assertion=0x7fda99ec5b63 "d->ref >= 1", file=0x7fda99ec5ad8 "../avahi-common/dbus-watch-glue.c", line=70, function=0x7fda99ec5ce0 "connection_data_ref") at assert.c:103
 ?? () from /tmp/tmpAjCKnM/usr/lib/x86_64-linux-gnu/libavahi-client.so.3
 ?? () from /tmp/tmpAjCKnM/usr/lib/x86_64-linux-gnu/libavahi-client.so.3
 avahi_simple_poll_dispatch () from /tmp/tmpAjCKnM/usr/lib/x86_64-linux-gnu/libavahi-common.so.3

Changed in cups (Ubuntu):
importance: Undecided → Medium
summary: - cupsd crashed with SIGABRT in raise()
+ cupsd crashed with SIGABRT in __assert_fail_base()
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cups (Ubuntu):
status: New → Confirmed
Till Kamppeter (till-kamppeter) wrote :

I got this crash by adding the obsolete (removed from 1.6.x on)

BrowsePoll <host>

to /etc/cups/cupsd.conf. The crash disappeared after removing the entry.

Everyone who suffers this bug, please check your cupsd.conf for obsolete or mistyped entries and remove them (or at least comment them out). Obsolete from 1.6.x are as far as I know: BrowsePoll, BrowseAllow, BrowseDeny, BrowseOrder, and BrowseRemoteProtocols. Also the argument "cups" for BrowseLocalProtocols is obsolete, but I do not know whether the valid keyword with the invalid argument also causes the crash.

See also bug 1052897.

Till Kamppeter (till-kamppeter) wrote :

The attached cupsd.conf of the original poster has following offending lines:

BrowseOrder allow,deny
BrowseAllow all
BrowseRemoteProtocols CUPS dnssd

Please remove these lines and try to restart CUPS. Does it work now?

Till Kamppeter (till-kamppeter) wrote :

Reported problem upstream as https://www.cups.org/str.php?L4192.

Changed in cups (Ubuntu):
milestone: none → ubuntu-12.10
assignee: nobody → Till Kamppeter (till-kamppeter)
importance: Medium → High
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.6.1-0ubuntu9

---------------
cups (1.6.1-0ubuntu9) quantal; urgency=low

  [ Till Kamppeter ]
  * debian/patches/prevent-crash-due-to-null-host-name-or-fqdn-from-avahi.patch:
    Prevent crash due to NULL host name or FQDN from Avahi (CUPS STR #4183,
    CUPS STR #4180, LP: #1046982, LP: #1034045).
  * debian/patches/fix-crash-on-shutdown-caused-by-broken-avahi-config.patch:
    Fix crash on shutdown caused by broken Avahi config (CUPS STR #4192,
    LP: #1036974).
  * debian/patches/ipp-backend-abort-the-outer-loop-if-we-get-a-failure-from-send-document.patch,
    debian/patches/ipp-backend-could-get-stuck-in-an-endless-loop-on-certain-network-errors.patch:
    Prevent IPP backend from falling into an infinite loop in certain
    situations (CUPS STR #4194).
  * debian/patches/airprint-support.patch: Refreshed with quilt.

  [ Didier Raboud ]
  * Make sure unowned obsolete backends are removed on configure.
    (Closes: #683754)
 -- Till Kamppeter <email address hidden> Mon, 1 Oct 2012 12:27:30 +0200

Changed in cups (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers